For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all task templates of the task bundle with the specified id.
      • POSTCreates a new task template for the task bundle with the specified id.
      • GETReturns the task template of the task bundle with the specified id.
      • PUTUpdates the task template for the task bundle with the specified id.
      • DELDeletes the task template for the task bundle with the specified id.
      • POSTAssigns a list of users to task templates.
      • GETReturns the task template with the specified id.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Templates

Deletes the task template for the task bundle with the specified id.

DELETE
https://api.awork.com/api/v1/taskbundles/:taskBundleId/tasktemplates/:taskTemplateId
DELETE
/api/v1/taskbundles/:taskBundleId/tasktemplates/:taskTemplateId
$curl -X DELETE https://api.awork.com/api/v1/taskbundles/taskBundleId/tasktemplates/taskTemplateId \
> -H "Authorization: Bearer <token>"
Deletes the task template for the task bundle with the specified id. <Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Assigns a list of users to task templates.

Next
Built with

Deletes the task template for the task bundle with the specified id.

Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.
taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.

Response

No Content

Errors

404
Not Found Error